<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>scaledResidual2 &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>scaledResidual2
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">50 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">scaledResidual2</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine scaledResidual2(this, field, iComp, ref)
    
    
   
</h2>
    
  


    
    <p>scaledResidual scales the equation residual according to the following formula:
<script type="math/tex; mode=display">\begin{equation*}
   res= \frac{|\sum_{cells} A\phi - rhs|}{|\sum_{cells} a_C\phi_C|}
\end{equation*}</script>
This normalization does not lead at a unitary scaled residual, but follows the literature.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E141"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E55"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-icomp%7E5"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iComp</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ref"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ref</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~scaledresidual2~~CallsGraph Pages: 1 -->
<svg id="procscaledresidual2CallsGraph" width="235pt" height="410pt"
 viewBox="0.00 0.00 235.00 410.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~scaledresidual2~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 406)">
<title>proc~~scaledresidual2~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-406 231,-406 231,4 -4,4"/>
<!-- proc~scaledresidual2 -->
<g id="proc~~scaledresidual2~~CallsGraph_node1" class="node">
<title>proc~scaledresidual2</title>
<polygon fill="none" stroke="#000000" points="91,-213 0,-213 0,-189 91,-189 91,-213"/>
<text text-anchor="middle" x="45.5" y="-198.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">scaledResidual2</text>
</g>
<!-- meanfield -->
<g id="proc~~scaledresidual2~~CallsGraph_node2" class="node">
<title>meanfield</title>
<polygon fill="#777777" stroke="#777777" points="206.5,-402 147.5,-402 147.5,-378 206.5,-378 206.5,-402"/>
<text text-anchor="middle" x="177" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">meanfield</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;meanfield -->
<g id="proc~~scaledresidual2~~CallsGraph_edge1" class="edge">
<title>proc~scaledresidual2&#45;&gt;meanfield</title>
<path fill="none" stroke="#000000" d="M48.2795,-213.3492C55.7432,-243.8414 78.9914,-323.5183 127,-369 130.3192,-372.1445 134.1784,-374.8517 138.2532,-377.1743"/>
<polygon fill="#000000" stroke="#000000" points="136.8737,-380.3961 147.3923,-381.6651 139.9609,-374.1137 136.8737,-380.3961"/>
</g>
<!-- vecassemblybegin -->
<g id="proc~~scaledresidual2~~CallsGraph_node3" class="node">
<title>vecassemblybegin</title>
<polygon fill="#777777" stroke="#777777" points="227,-360 127,-360 127,-336 227,-336 227,-360"/>
<text text-anchor="middle" x="177" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecassemblybegin</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecassemblybegin -->
<g id="proc~~scaledresidual2~~CallsGraph_edge2" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecassemblybegin</title>
<path fill="none" stroke="#000000" d="M50.3808,-213.1172C60.8753,-237.7738 87.8515,-294.2165 127,-327 128.5429,-328.2921 130.1768,-329.5148 131.8756,-330.6707"/>
<polygon fill="#000000" stroke="#000000" points="130.3956,-333.8604 140.7912,-335.9057 133.94,-327.8241 130.3956,-333.8604"/>
</g>
<!-- matmult -->
<g id="proc~~scaledresidual2~~CallsGraph_node4" class="node">
<title>matmult</title>
<polygon fill="#777777" stroke="#777777" points="204,-318 150,-318 150,-294 204,-294 204,-318"/>
<text text-anchor="middle" x="177" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matmult</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;matmult -->
<g id="proc~~scaledresidual2~~CallsGraph_edge3" class="edge">
<title>proc~scaledresidual2&#45;&gt;matmult</title>
<path fill="none" stroke="#000000" d="M54.5659,-213.065C68.4617,-230.8578 96.6264,-264.2619 127,-285 131.1089,-287.8054 135.652,-290.3475 140.2749,-292.6153"/>
<polygon fill="#000000" stroke="#000000" points="139.2068,-295.9726 149.7626,-296.8818 142.0778,-289.5884 139.2068,-295.9726"/>
</g>
<!-- vecdestroy -->
<g id="proc~~scaledresidual2~~CallsGraph_node5" class="node">
<title>vecdestroy</title>
<polygon fill="#777777" stroke="#777777" points="209,-276 145,-276 145,-252 209,-252 209,-276"/>
<text text-anchor="middle" x="177" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecdestroy</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecdestroy -->
<g id="proc~~scaledresidual2~~CallsGraph_edge4" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecdestroy</title>
<path fill="none" stroke="#000000" d="M67.7513,-213.0646C84.0044,-221.7297 106.6628,-233.5066 127,-243 130.5459,-244.6552 134.2583,-246.3265 137.9897,-247.965"/>
<polygon fill="#000000" stroke="#000000" points="136.6515,-251.1994 147.2203,-251.9425 139.4217,-244.7708 136.6515,-251.1994"/>
</g>
<!-- vecnorm -->
<g id="proc~~scaledresidual2~~CallsGraph_node6" class="node">
<title>vecnorm</title>
<polygon fill="#777777" stroke="#777777" points="204,-234 150,-234 150,-210 204,-210 204,-234"/>
<text text-anchor="middle" x="177" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecnorm</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecnorm -->
<g id="proc~~scaledresidual2~~CallsGraph_edge5" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecnorm</title>
<path fill="none" stroke="#000000" d="M91.1233,-208.2858C107.035,-210.8269 124.6871,-213.6458 139.8286,-216.0639"/>
<polygon fill="#000000" stroke="#000000" points="139.4309,-219.5446 149.8578,-217.6655 140.5349,-212.6322 139.4309,-219.5446"/>
</g>
<!-- vecduplicate -->
<g id="proc~~scaledresidual2~~CallsGraph_node7" class="node">
<title>vecduplicate</title>
<polygon fill="#777777" stroke="#777777" points="213,-192 141,-192 141,-168 213,-168 213,-192"/>
<text text-anchor="middle" x="177" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecduplicate</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecduplicate -->
<g id="proc~~scaledresidual2~~CallsGraph_edge6" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecduplicate</title>
<path fill="none" stroke="#000000" d="M91.1233,-193.7142C104.0005,-191.6577 118.0177,-189.4192 130.9214,-187.3586"/>
<polygon fill="#000000" stroke="#000000" points="131.6654,-190.7842 140.9883,-185.7509 130.5614,-183.8718 131.6654,-190.7842"/>
</g>
<!-- veczeroentries -->
<g id="proc~~scaledresidual2~~CallsGraph_node8" class="node">
<title>veczeroentries</title>
<polygon fill="#777777" stroke="#777777" points="218,-150 136,-150 136,-126 218,-126 218,-150"/>
<text text-anchor="middle" x="177" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">veczeroentries</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;veczeroentries -->
<g id="proc~~scaledresidual2~~CallsGraph_edge7" class="edge">
<title>proc~scaledresidual2&#45;&gt;veczeroentries</title>
<path fill="none" stroke="#000000" d="M67.7513,-188.9354C84.0044,-180.2703 106.6628,-168.4934 127,-159 130.5459,-157.3448 134.2583,-155.6735 137.9897,-154.035"/>
<polygon fill="#000000" stroke="#000000" points="139.4217,-157.2292 147.2203,-150.0575 136.6515,-150.8006 139.4217,-157.2292"/>
</g>
<!-- vecaxpy -->
<g id="proc~~scaledresidual2~~CallsGraph_node9" class="node">
<title>vecaxpy</title>
<polygon fill="#777777" stroke="#777777" points="204,-108 150,-108 150,-84 204,-84 204,-108"/>
<text text-anchor="middle" x="177" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecaxpy</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecaxpy -->
<g id="proc~~scaledresidual2~~CallsGraph_edge8" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecaxpy</title>
<path fill="none" stroke="#000000" d="M54.5659,-188.935C68.4617,-171.1422 96.6264,-137.7381 127,-117 131.1089,-114.1946 135.652,-111.6525 140.2749,-109.3847"/>
<polygon fill="#000000" stroke="#000000" points="142.0778,-112.4116 149.7626,-105.1182 139.2068,-106.0274 142.0778,-112.4116"/>
</g>
<!-- vecassemblyend -->
<g id="proc~~scaledresidual2~~CallsGraph_node10" class="node">
<title>vecassemblyend</title>
<polygon fill="#777777" stroke="#777777" points="223,-66 131,-66 131,-42 223,-42 223,-66"/>
<text text-anchor="middle" x="177" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecassemblyend</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecassemblyend -->
<g id="proc~~scaledresidual2~~CallsGraph_edge9" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecassemblyend</title>
<path fill="none" stroke="#000000" d="M50.3808,-188.8828C60.8753,-164.2262 87.8515,-107.7835 127,-75 128.5429,-73.7079 130.1768,-72.4852 131.8756,-71.3293"/>
<polygon fill="#000000" stroke="#000000" points="133.94,-74.1759 140.7912,-66.0943 130.3956,-68.1396 133.94,-74.1759"/>
</g>
<!-- vecsetvalues -->
<g id="proc~~scaledresidual2~~CallsGraph_node11" class="node">
<title>vecsetvalues</title>
<polygon fill="#777777" stroke="#777777" points="214,-24 140,-24 140,0 214,0 214,-24"/>
<text text-anchor="middle" x="177" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecsetvalues</text>
</g>
<!-- proc~scaledresidual2&#45;&gt;vecsetvalues -->
<g id="proc~~scaledresidual2~~CallsGraph_edge10" class="edge">
<title>proc~scaledresidual2&#45;&gt;vecsetvalues</title>
<path fill="none" stroke="#000000" d="M48.2795,-188.6508C55.7432,-158.1586 78.9914,-78.4817 127,-33 128.2922,-31.7758 129.6663,-30.6179 131.1031,-29.5231"/>
<polygon fill="#000000" stroke="#000000" points="133.3355,-32.2506 139.8843,-23.9222 129.5711,-26.3489 133.3355,-32.2506"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>